## gtk4 4.8.3+ds

=== meson_options.txt ===
# GDK backends

option('x11-backend',
       type: 'boolean',
       value: true,
       description : 'Enable the X11 gdk backend (only when building on Unix)')

option('wayland-backend',
       type: 'boolean',
       value: true,
       description : 'Enable the wayland gdk backend (only when building on Unix except for macOS)')

option('broadway-backend',
       type: 'boolean',
       value: false,
       description : 'Enable the broadway (HTML5) gdk backend')

option('win32-backend',
       type: 'boolean',
       value: true,
       description : 'Enable the Windows gdk backend (only when building on Windows)')

option('macos-backend',
       type: 'boolean',
       value: true,
       description : 'Enable the macOS gdk backend (only when building on macOS)')

# Media backends
# For distros: GTK guarantees support for WebM video (VP8 and VP9), so a supported build
# should provide that.

option('media-ffmpeg',
       type: 'feature',
       value: 'disabled',
       description : 'Build the experimental ffmpeg media backend')

option('media-gstreamer',
       type: 'feature',
       value: 'enabled',
       description : 'Build the gstreamer media backend')

# Print backends

option('print-cups',
       type: 'feature',
       value: 'auto',
       description : 'Build the cups print backend')

# Optional features

option('vulkan',
       type: 'feature',
       value: 'disabled',
       description : 'Enable support for the experimental Vulkan renderer')

option('cloudproviders',
       type: 'feature',
       value: 'disabled',
       description : 'Enable the cloudproviders support')

option('sysprof',
       type: 'feature',
       value: 'disabled',
       description : 'include tracing support for sysprof')

option('tracker',
       type: 'feature',
       value: 'disabled',
       description : 'Enable Tracker3 filechooser search')

option('colord',
       type: 'feature',
       value: 'disabled',
       description : 'Build colord support for the CUPS printing backend')

option('f16c',
       type: 'feature',
       value: 'enabled',
       description: 'Enable F16C fast paths (requires F16C)')

# Documentation and introspection

option('gtk_doc',
       type: 'boolean',
       value: false,
       description : 'Build API reference and tools documentation')

option('update_screenshots',
       type: 'boolean',
       value: false,
       description : 'Regenerate screenshots for the documentation')

option('man-pages',
       type: 'boolean',
       value: false,
       description : 'Build man pages for installed tools')

option('introspection',
       type: 'feature',
       value: 'auto',
       yield: true,
       description : 'Build introspection data (requires gobject-introspection)')

# Demos, examples and tests

option('demos',
       type: 'boolean',
       value: true,
       description : 'Build demo programs')

option('profile',
       type: 'combo',
       choices: [ 'default', 'devel' ],
       value: 'default',
       description : 'Profile to use for demos')

option('build-examples',
       type: 'boolean',
       value: true,
       description : 'Build examples')

option('build-tests',
       type: 'boolean',
       value: true,
       description : 'Build tests')

option('install-tests',
       type: 'boolean',
       value: false,
       description : 'Install tests')

=== debian/changelog ===
gtk4 (4.8.3+ds-2+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4.4.0+ds1-5+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Tue, 07 Sep 2021 10:26:09 +0000]
  * Disable a couple of faliing tests in Raspbian.
  * Fix clean target.

  [changes introduced in 4.8.3+ds-1+rpi1 by Peter Michael Green]
  * Disable a couple more failing tests.

  [changes introudce in 4.8.3+ds-2+rpi1 by Peter Michael Green]
  * Disable linear-gradient-transition-to-other test.

 -- Peter Michael Green <plugwash@raspbian.org>  Sat, 11 Feb 2023 22:31:33 +0000

gtk4 (4.8.3+ds-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/tests/python3-gi: stop using deprecated method

  [ Simon McVittie ]
  * d/patches: Update to gtk-4-8 branch commit 4.8.3-15-g1ef03e6eb8
    - Optimize column views by not creating list item widgets in columns
      that are not visible (GNOME/gtk!5374)
    - In X11, make sure menus, popovers etc. don't interfere with ability
      to click/select in other applications' windows
      (GNOME/gtk#5364, GNOME/gtk#5400)
    - Do not mark non-user-facing strings as translatable (GNOME/gtk#5146)
    - Fix animations and transitions randomly stopping (GNOME/gtk#4426)
    - Translation updates: ab, tr
  * d/p/gdk-x11-Reset-all-scroll-valuators-on-enter.patch:
    Add patch from 4.9.x to avoid scroll events being sent to more than
    one window under X11 (Closes: #1029972) (LP: #1993594)
  * d/control.in: Fix description of gtk-4-examples, which no longer
    contains installed-tests (which were separated into gtk-4-tests)
  * Add overrides for false positive lintian/lintian!452
  * Standards-Version: 4.6.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Feb 2023 15:14:39 +0000

gtk4 (4.8.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that were applied upstream
  * d/tests/run-with-display: Use absolute path to WAYLAND_DISPLAY socket.
    This means we can still use the Wayland display, even when dh_auto_test
    changes our XDG_RUNTIME_DIR.
  * d/run-tests.sh: Use dh_auto_test.
    In particular this forces the C.UTF-8 locale, which should mean the tests
    pass even when run under a non-UTF-8 locale like C (which official Debian
    buildds do not do, but some other environments like reproducible-builds
    might). (Closes: #1027680)
  * d/tests: Quote more defensively
  * d/tests/python3-gi: Explicitly disable a11y.
    This version of GTK logs a warning (which makes the autopkgtest fail)
    if we cannot contact the a11y bus provided by AT-SPI.
  * d/tests/build: Suppress D-Bus/a11y warnings
  * d/tests/build: Avoid PWD bashism
  * d/copyright: Move standalone license stanzas to the end
  * d/copyright: Add details of run-with-display script

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Jan 2023 12:45:21 +0000

gtk4 (4.8.2+ds-4) unstable; urgency=medium

  * d/patches: Update to upstream gtk-4-8 branch commit 4.8.2-27-g5186430d9d
    - Fix visual artifacts on X11
    - Update translations
  * d/patches: Sort Debian-specific patches to the end of the series
  * d/p/testsuite-Use-separate-setups-for-unstable-tests-instead-.patch,
    d/p/testsuite-Don-t-create-.test-files-for-flaky-or-failing-t.patch:
    Add patches from upstream git main to improve handling of
    flaky/failing tests
  * d/p/node-editor-Save-test-data-relative-to-current-working-di.patch:
    Add proposed patch to make the node editor reproducible
  * d/rules: Remove redundant --libdir override
  * d/control.in: Drop unused docbook and xsltproc build-dependencies.
    The man pages now use python3-docutils instead.
  * d/*.install: Don't try to install man pages under nodoc build-profile

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Dec 2022 11:52:29 +0000

=== debian/control ===
Source: gtk4
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: adwaita-icon-theme <!nocheck>,
               at-spi2-core <!nocheck>,
               dbus-daemon <!nocheck>,
               debhelper-compat (= 13),
               dh-exec,
               dpkg-dev (>= 1.17.14),
               fonts-cantarell <!nocheck>,
               fonts-dejavu-core <!nocheck>,
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 1.41.3),
               gsettings-desktop-schemas <!nocheck>,
               iso-codes <!nocheck>,
               libavcodec-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libavdevice-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libavfilter-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libavformat-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libavutil-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libcairo2-dev (>= 1.14.0),
               libcolord-dev (>= 0.1.9),
               libcloudproviders-dev (>= 0.3.1),
               libcups2-dev (>= 2.0),
               libegl1-mesa-dev [linux-any],
               libepoxy-dev,
               libfontconfig-dev,
               libfribidi-dev (>= 0.19.7),
               libgdk-pixbuf-2.0-dev (>= 2.30.0),
               libgirepository1.0-dev (>= 1.39.0),
               libglib2.0-dev (>= 2.68.0),
               libgraphene-1.0-dev (>= 1.10.4~),
               libgstreamer1.0-dev (>= 1.12.3),
               libgstreamer-plugins-bad1.0-dev (>= 1.12.3),
               libharfbuzz-dev (>= 2.6.0),
               libjpeg-dev,
               libjson-glib-dev:native,
               libpango1.0-dev (>= 1.50.0),
               libpng-dev,
               libpolkit-gobject-1-dev (>= 0.105) [linux-any],
               librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
               librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
               libswresample-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libswscale-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
               libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
               libtiff-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.21.0) [linux-any],
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxfixes-dev,
               libxi-dev,
               libxinerama-dev,
               libxkbcommon-dev (>= 0.2.0),
               libxkbfile-dev,
               libxml2-utils,
               libxrandr-dev (>= 2:1.5.0),
               locales <!nocheck> | locales-all <!nocheck>,
               meson (>= 0.60),
               pkg-config,
               python3-docutils <!nodoc>,
               python3-gi (>= 3.40),
               sassc,
               ttf-bitstream-vera <!nocheck>,
               wayland-protocols (>= 1.25) [linux-any],
               weston [linux-any] <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Build-Depends-Indep: gi-docgen <!nodoc>,
                     libcairo2-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libpango1.0-doc <!nodoc>,
                     pandoc,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gtk4
Vcs-Git: https://salsa.debian.org/gnome-team/gtk4.git
Homepage: https://www.gtk.org/

Package: libgtk-4-1
Architecture: any
Multi-Arch: same
Depends: adwaita-icon-theme,
         hicolor-icon-theme,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-4-common (>= ${source:Version})
Provides: gtk4-binver-4.0.0
Recommends: libgtk-4-bin,
            iso-codes,
            librsvg2-common (>= 2.52.0),
Suggests: gvfs,
          libgtk-4-media-gstreamer | libgtk-4-media-ffmpeg,
Breaks: libgtk-4-0 (<< 4.0.0),
Replaces: libgtk-4-0 (<< 4.0.0),
Pre-Depends: ${misc:Pre-Depends}
Description: GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk-4-1-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: gtk4-binver-4.0.0
Description: GTK graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk-4-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libgtk-4-1
Description: common files for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk-4-bin
Section: misc
Architecture: any
Multi-Arch: foreign
Depends: gtk-update-icon-cache,
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-4-common (>= ${source:Version}),
         libgtk-4-1 (>= ${source:Version})
Breaks: gtk-4-examples (<< 3.96.0-3~)
Replaces: gtk-4-examples (<< 3.96.0-3~)
Description: programs for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gtk-4.0 (= ${binary:Version}),
         libcairo2-dev (>= 1.14.0),
         libegl1-mesa-dev [linux-any],
         libepoxy-dev (>= 1.0),
         libfontconfig-dev,
         libgdk-pixbuf-2.0-dev (>= 2.30.0),
         libglib2.0-dev (>= 2.66.0),
         libgraphene-1.0-dev (>= 1.9.1),
         libpango1.0-dev (>= 1.50.0),
         libwayland-dev (>= 1.16.91) [linux-any],
         libx11-dev,
         libxcomposite-dev,
         libxcursor-dev,
         libxdamage-dev,
         libxext-dev,
         libxfixes-dev,
         libxi-dev,
         libxinerama-dev,
         libxkbcommon-dev,
         libxrandr-dev,
         libvulkan-dev [linux-any],
         pkg-config,
         wayland-protocols (>= 1.21) [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-4-common,
         libgtk-4-1 (= ${binary:Version})
Suggests: libgtk-4-doc,
          gtk-4-examples
Description: development files for the GTK library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header and development files which are
 needed for building GTK applications.

Package: libgtk-4-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libpango1.0-doc
Suggests: devhelp
Description: documentation for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK library
 in /usr/share/doc/libgtk-4-doc/ .

Package: libgtk-4-media-gstreamer
Section: x11
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: GStreamer media backend for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the media module that uses GStreamer as backend.

Package: libgtk-4-media-ffmpeg
Build-Profiles: <pkg.gtk4.ffmpeg>
Section: x11
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: FFmpeg media backend for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the media module that uses FFmpeg as backend.
 This module is considered incomplete and experimental, and using the
 libgtk-4-media-gstreamer module instead is recommended.

Package: gtk-4-examples
Build-Profiles: <!noinsttest>
Section: x11
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk-4-1 (= ${binary:Version})
Recommends: fonts-cantarell,
            librsvg2-common (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
Description: example files for GTK 4
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the example files and a demonstration program
 for GTK4.

Package: gtk-4-tests
Build-Profiles: <!noinsttest>
Section: x11
Architecture: any
Depends: iso-codes,
         librsvg2-common (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-4-1 (= ${binary:Version}),
Recommends: gnome-desktop-testing,
            locales | locales-all,
Description: "as-installed" tests for GTK 4
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains installable test programs, primarily for use with
 autopkgtest.

Package: gir1.2-gtk-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         libgtk-4-common
Breaks: python-gi (<< 3.18),
        python3-gi (<< 3.18)
Provides: gir1.2-gdk-4.0 (= ${binary:Version}),
          gir1.2-gdkwayland-4.0 (= ${binary:Version}) [linux-any],
          gir1.2-gdkx11-4.0 (= ${binary:Version}),
          gir1.2-gsk-4.0 (= ${binary:Version})
Description: GTK graphical user interface library -- gir bindings
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to

=== debian/rules ===
#!/usr/bin/make -f

DISABLE_UPDATE_UPLOADERS = 1
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

dh_options =
built_binaries := $(shell dh_listpackages)
all_binaries := $(shell sed -ne 's/^Package: *//p' < debian/control)

# Ensure the build aborts when there are still references to undefined symbols
LDFLAGS += -Wl,-z,defs

# Make the linker work a bit harder so dynamic loading can be done faster
LDFLAGS += -Wl,-O1

export APIVER := 4
export SONAME := 1

export LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)

# earliest version that this release has backwards binary compatibility for
export GTK_BINARY_VERSION := 4.0.0

# Gtk binary version virtual Provide
export GTK_BINVER_DEP := gtk$(APIVER)-binver-$(GTK_BINARY_VERSION)

# relative base directory for configuration
export CONFDIR := etc/gtk-4.0

# relative base directory for all types of modules
export MODULES_BASE_PATH := $(LIBDIR)/gtk-4.0/$(GTK_BINARY_VERSION)

# package names
export SHARED_PKG := libgtk-$(APIVER)-$(SONAME)
export COMMON_PKG := libgtk-$(APIVER)-common
export DEV_PKG := libgtk-$(APIVER)-dev
export UDEB_PKG := $(SHARED_PKG)-udeb
export DOC_PKG := libgtk-$(APIVER)-doc
export BIN_PKG := libgtk-$(APIVER)-bin
export MEDIA_GSTREAMER_PKG := libgtk-$(APIVER)-media-gstreamer
export MEDIA_FFMPEG_PKG := libgtk-$(APIVER)-media-ffmpeg
export EXAMPLES_PKG := gtk-$(APIVER)-examples
export TESTS_PKG := gtk-$(APIVER)-tests

# files larger than 4k in size will be compressed by dh_compress
# so append a .gz suffix to avoid dangling symlinks
export README_MD_MAYBE_GZ := README.md$(shell find -maxdepth 1 -size +4k -name README.md -exec echo ".gz" \;)

# macro computing the list of 'debian/<pkg>.*" files which have a
# corresponding ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

debian/%: debian/%.in
	dh_testdir
	sed \
		-e "s#@SONAME@#$(SONAME)#g" \
		-e "s#@APIVER@#$(APIVER)#g" \
		-e "s#@GTK_BINVER_DEP@#$(GTK_BINVER_DEP)#g" \
		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
		-e "s#@DEV_PKG@#$(DEV_PKG)#g" \
		-e "s#@UDEB_PKG@#$(UDEB_PKG)#g" \
		-e "s#@DOC_PKG@#$(DOC_PKG)#g" \
		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
		-e "s#@MEDIA_GSTREAMER_PKG@#$(MEDIA_GSTREAMER_PKG)#g" \
		-e "s#@MEDIA_FFMPEG_PKG@#$(MEDIA_FFMPEG_PKG)#g" \
		-e "s#@EXAMPLES_PKG@#$(EXAMPLES_PKG)#g" \
		-e "s#@TESTS_PKG@#$(TESTS_PKG)#g" \
		-e "s#@GNOME_TEAM@#$(UPLOADERS)#g" \
		-e "s#@LIBDIR@#$(LIBDIR)#g" \
		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
		-e "s#@DEB_VERSION_UPSTREAM@#$(DEB_VERSION_UPSTREAM)#g" \
		$@.in > $@

configure_flags_deb = \
	-Dauto_features=enabled \
	-Dbroadway-backend=true \
	-Dx11-backend=true \
	${NULL}

ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
configure_flags_deb += -Dcolord=enabled
else
configure_flags_deb += -Dcolord=disabled
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
configure_flags_deb += -Dman-pages=true
else
configure_flags_deb += -Dman-pages=false
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
configure_flags_deb += -Dsysprof=enabled
configure_flags_deb += -Dwayland-backend=true
else
configure_flags_deb += -Dsysprof=disabled
configure_flags_deb += -Dvulkan=disabled
configure_flags_deb += -Dwayland-backend=false
endif

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags_deb += -Dgtk_doc=false
else
configure_flags_deb += -Dgtk_doc=true
endif

ifeq ($(filter %-examples,$(built_binaries)),)
configure_flags_deb += -Dbuild-examples=false
configure_flags_deb += -Ddemos=false
else
configure_flags_deb += -Dbuild-examples=true
configure_flags_deb += -Ddemos=true
endif

ifeq ($(filter %-tests,$(built_binaries)),)
configure_flags_deb += -Dinstall-tests=false
else
configure_flags_deb += -Dinstall-tests=true
endif

# Upstream consider the ffmpeg backend to be experimental, let's not
# build that by default.
ifeq ($(filter $(MEDIA_FFMPEG_PKG),$(built_binaries)),)
configure_flags_deb += -Dmedia-ffmpeg=disabled
else
configure_flags_deb += -Dmedia-ffmpeg=enabled
endif

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes), yes)
# Not in main repository
configure_flags_deb += -Dcloudproviders=disabled
else
configure_flags_deb += -Dcloudproviders=enabled
endif

configure_flags_udeb = \
	-Dauto_features=disabled \
	-Dbroadway-backend=false \
	-Dbuild-examples=false \
	-Ddemos=false \
	-Dbuild-tests=false \
	-Dinstall-tests=false \
	-Dmedia-gstreamer=disabled \
	-Dwayland-backend=false \
	-Dx11-backend=true \
	$(NULL)

%:
	dh $@ --with gir --buildsystem=meson $(dh_options)

override_dh_clean: debian/control
	# cleanup python crap
	rm -rf subprojects/gi-docgen/gidocgen/gir/__pycache__
	rm -rf subprojects/gi-docgen/gidocgen/__pycache__
	# gross kludge to force control generation with the %.in target
	touch debian/control.in
	rm -f $(call dh_subst_files,$(all_binaries))
	rm -rf debian/build debian/install
	# Rebuild the CSS from source. Note that gtk.css is hand-written,
	# not generated, so don't delete that one.
	rm -f gtk/theme/Default/Default-*.css
	dh_clean

# Add dependencies to generate files from the debian/*.in ones
override_dh_auto_build: $(call dh_subst_files,$(all_binaries))

override_dh_auto_build: rebuild-emoji
rebuild-emoji:
	gcc -o debian/convert-emoji gtk/emoji/convert-emoji.c `pkg-config --cflags --libs json-glib-1.0`
	set -eu; for input in debian/missing-sources/emojibase/packages/data/??/data.raw.json; do \
		lang="$$(echo "$$input" | sed -ne 's,^.*/\([a-z][a-z]\)/data.raw.json$$,\1,p')"; \
		output="gtk/emoji/$$lang.data"; \
		test -f "$$output" || continue; \
		debian/convert-emoji "$$input" "$$output"; \
	done

override_dh_auto_configure: debian/control
	dh_auto_configure \
		--builddirectory=debian/build/deb \
		-- \
		$(configure_flags_deb) \
		$(NULL)
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_configure \
		--builddirectory=debian/build/udeb \
		-- \
		$(configure_flags_udeb) \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=debian/build/deb
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_build --builddirectory=debian/build/udeb
endif

test_backends = x11
test_timeout_multiplier = 1

ifeq (linux,$(DEB_HOST_ARCH_OS))
	test_backends += wayland
endif

ifneq ($(filter arm hppa mips% sparc%,$(DEB_HOST_ARCH_CPU)),)
$(info Slow architecture detected, increasing test timeout)
test_timeout_multiplier = 10
endif

ifneq ($(filter m68k riscv64 sh4,$(DEB_HOST_ARCH_CPU)),)
$(info Architecture with qemu buildds detected, increasing test timeout a lot)
test_timeout_multiplier = 20
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
$(info Disabling use of llvmpipe due to mips family CPU, see https://bugs.debian.org/993550)
export GALLIUM_DRIVER=softpipe
export LIBGL_ALWAYS_SOFTWARE=true
endif

fuzzy_gsk_compare = \
	$(NULL)

ignore_gsk_compare = \
	unaligned-offscreen \
	$(NULL)

xfail_gsk_compare = \
	$(NULL)

fuzzy_reftests = \
	border-image-url \
	label-attribute-preference \
	label-wrap-justify \
	pseudoclass-on-box \
	quit-mnemonic \
	$(NULL)

ignore_reftests = \
	$(NULL)

xfail_reftests = \
	label-sizing \
	sizegroups-evolution-identity-page \
	$(NULL)

skipped_suites = \
	$(NULL)

# https://bugs.debian.org/1024391
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
	ignore_reftests += border-image-excess-size
endif

# TODO: Known failures: https://gitlab.gnome.org/GNOME/gtk/-/issues/4110
# s390x: many (endianness?)
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
	skipped_suites += \
		gsk-compare-broadway \
		gsk-compare-gl \
		$(NULL)
endif

override_dh_auto_test:
	env \
		BUILDDIR=debian/build/deb \
		FUZZY_GSK_COMPARE="$(fuzzy_gsk_compare)" \
		FUZZY_REFTESTS="$(fuzzy_reftests)" \
		IGNORE_GSK_COMPARE="$(ignore_gsk_compare)" \
		IGNORE_REFTESTS="$(ignore_reftests)" \
		XFAIL_GSK_COMPARE="$(xfail_gsk_compare)" \
		XFAIL_REFTESTS="$(xfail_reftests)" \
		BACKENDS="$(test_backends)" \
	debian/run-tests.sh -t $(test_timeout_multiplier) \
		$(addprefix --no-suite=,$(skipped_suites)) \

=== debian/tests/control ===
Test-Command: env GDK_BACKEND=x11 debian/tests/build
Features: test-name=build-x11
Classes: desktop, x11
Depends: build-essential, libgtk-4-dev, xauth, xvfb
Restrictions: allow-stderr, superficial

Test-Command: env GDK_BACKEND=wayland debian/tests/build
Features: test-name=build-wayland
Classes: desktop, wayland, linux-only
Depends: build-essential, libgtk-4-dev, weston
# Architecture: linux-any
Restrictions: allow-stderr, superficial

Test-Command: env GDK_BACKEND=x11 debian/tests/python3-gi
Features: test-name=python3-gi-x11
Classes: desktop, x11
Depends: dbus-daemon, gir1.2-gtk-4.0, python3-gi (>= 3.40), xauth, xvfb
Restrictions: superficial

Test-Command: env GDK_BACKEND=wayland debian/tests/python3-gi
Features: test-name=python3-gi-wayland
Classes: desktop, wayland, linux-only
Depends: dbus-daemon, gir1.2-gtk-4.0, libgl1, libgl1-mesa-dri, python3-gi (>= 3.40), weston
# Architecture: linux-any
Restrictions: superficial

Test-Command: env GDK_BACKEND=x11 debian/tests/installed-tests
Features: test-name=installed-tests-x11
Classes: desktop, x11
Depends: dbus-daemon (>= 1.8), fonts-dejavu-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, ttf-bitstream-vera, xauth, xvfb
Restrictions: allow-stderr

Test-Command: env GDK_BACKEND=wayland debian/tests/installed-tests
Features: test-name=installed-tests-wayland
Classes: desktop, wayland, linux-only
Depends: dbus-daemon (>= 1.8), fonts-dejavu-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, ttf-bitstream-vera, weston
# Architecture: linux-any
Restrictions: allow-stderr

Test-Command: env GDK_BACKEND=x11 debian/tests/installed-tests-flaky
Features: test-name=installed-tests-flaky-x11
Classes: desktop, x11
Depends: dbus-daemon (>= 1.8), fonts-dejavu-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, ttf-bitstream-vera, xauth, xvfb
Restrictions: allow-stderr, flaky

Test-Command: env GDK_BACKEND=wayland debian/tests/installed-tests-flaky
Features: test-name=installed-tests-flaky-wayland
Classes: desktop, wayland, linux-only
Depends: dbus-daemon (>= 1.8), fonts-dejavu-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, ttf-bitstream-vera, weston
# Architecture: linux-any
Restrictions: allow-stderr, flaky

## gtk4 4.10.1+ds

=== debian/changelog ===
gtk4 (4.10.1+ds-2ubuntu1) lunar; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Mar 2023 19:40:46 +0100

gtk4 (4.10.1+ds-2) experimental; urgency=medium

  * debian/patches: Add gstreamer-player as subproject.
    It's used by gtk media to play videos, but it's currently in
    gstreamer-plugins-bad. By just including this library inside gtk we can
    avoid having dependency on gstreamer's bad set. (LP: #2011849)
  * debian/control: build-depend on libgstreamer-plugins-base1.0-dev.
    Remove instead dependency on libgstreamer-plugins-bad1.0-dev
  * debian/rules: Also include gstreamer in udebs build.
    We include some gstreamer sources in gtk now, so better to provide some
    debug symbols too
  * debian/control: Recommends libgtk-4-media-gstreamer.
    Gtk media is considered a main element of gtk4, and not providing
    support for it, implies shipping a broken gtk (as upstream sentenced).
    So, let's recommend it. (LP: #2011849)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 23 Mar 2023 18:23:32 +0100

gtk4 (4.10.1+ds-1ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 08:43:28 -0400

gtk4 (4.10.1+ds-1) experimental; urgency=medium

  * New upstream release
  * Drop combobox patch applied in new release
  * Refresh patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Mar 2023 08:43:02 -0400

gtk4 (4.10.0+ds-2ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 13:07:01 -0500

gtk4 (4.10.0+ds-2) experimental; urgency=medium

  * Cherry-pick patch to fix combo boxes

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Mar 2023 12:43:20 -0500

gtk4 (4.10.0+ds-1ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 09:45:47 -0500

gtk4 (4.10.0+ds-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtk-4-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Mar 2023 09:18:40 -0500

gtk4 (4.9.4+ds-1ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 16:15:21 -0500

gtk4 (4.9.4+ds-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtk-4-1.symbols.in: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 16:14:23 -0500

gtk4 (4.9.3+ds-1ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 14:00:55 -0500

gtk4 (4.9.3+ds-1) experimental; urgency=medium

  [ Jeremy Bicha, via Ubuntu ]
  * New upstream release 4.9.2
  * Bump minimum glib to 2.72.0
  * debian/libgtk-4-1.symbols.in: Update.
    Some symbols were removed, but they were never considered public ABI.
  * Revert commit dropping installed tests
  * Refresh patch series

  [ Simon McVittie ]
  * d/gbp.conf, d/watch: Branch for experimental
  * New upstream release 4.9.3
  * Drop patches that were applied (some a little differently) upstream
  * Refresh patch series
  * d/copyright: Update
  * d/control.in: Update versions of build-dependencies
  * Drop version constraints that have been satisfied since Debian 10
  * d/libgtk-4-1.symbols.in: Update.
    Ignore removal of gtk_file_dialog_{get,set}_shortcut_folders: they were
    added in the 4.9.x branch and are not yet considered stable ABI.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 11:43:59 -0500

gtk4 (4.9.2+ds-0ubuntu2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 11:31:27 -0500

gtk4 (4.9.2+ds-0ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
  * New upstream release
  * Update debian/gbp.conf and debian/watch to track the 4.9 series
  * debian/control.in:Bump minimum glib to 2.72.0
  * debian/libgtk-4-1.symbols.in: Update
  * debian/tests/python3-gi: stop using deprecated method
  * Drop patches applied in new series
  * Revert commit dropping installed tests
  * Add patch to mark the gtk template test as flaky

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 13:58:01 -0500

gtk4 (4.8.2+ds-3ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations

 -- Amin Bandali <amin.bandali@canonical.com>  Wed, 23 Nov 2022 12:53:46 -0500

=== debian/control ===
--- 
+++ 
@@ -1,49 +1,49 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, 
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-exec,
-               dpkg-dev (>= 1.17.14),
                fonts-cantarell <!nocheck>,
                fonts-dejavu-core <!nocheck>,
-               gnome-pkg-tools (>= 0.11),
-               gobject-introspection (>= 1.41.3),
+               gnome-pkg-tools,
+               gobject-introspection (>= 1.72.0),
                gsettings-desktop-schemas <!nocheck>,
                iso-codes <!nocheck>,
-               libavcodec-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-               libavdevice-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-               libavfilter-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-               libavformat-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-               libavutil-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-               libcairo2-dev (>= 1.14.0),
-               libcolord-dev (>= 0.1.9),
+               libavcodec-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavdevice-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavfilter-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavformat-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libavutil-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libcairo2-dev,
+               libcolord-dev,
                libcloudproviders-dev (>= 0.3.1),
-               libcups2-dev (>= 2.0),
+               libcups2-dev,
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
                libfontconfig-dev,
-               libfribidi-dev (>= 0.19.7),
+               libfribidi-dev (>= 1.0.6),
                libgdk-pixbuf-2.0-dev (>= 2.30.0),
-               libgirepository1.0-dev (>= 1.39.0),
-               libglib2.0-dev (>= 2.68.0),
+               libgirepository1.0-dev (>= 1.72.0),
+               libglib2.0-dev (>= 2.72.0),
                libgraphene-1.0-dev (>= 1.10.4~),
-               libgstreamer1.0-dev (>= 1.12.3),
-               libgstreamer-plugins-bad1.0-dev (>= 1.12.3),
+               libgstreamer1.0-dev,
+               libgstreamer-plugins-base1.0-dev,
                libharfbuzz-dev (>= 2.6.0),
                libjpeg-dev,
                libjson-glib-dev:native,
                libpango1.0-dev (>= 1.50.0),
                libpng-dev,
-               libpolkit-gobject-1-dev (>= 0.105) [linux-any],
+               libpolkit-gobject-1-dev [linux-any],
                librsvg2-common [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32] <!nocheck>,
                librsvg2-dev (>= 2.52.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x powerpc ppc64 riscv64 sparc64 x32],
-               libswresample-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
-               libswscale-dev (>= 7:4.1.0) [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libswresample-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
+               libswscale-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
                libtiff-dev,
                libvulkan-dev [linux-any],
@@ -56,10 +56,10 @@
                libxfixes-dev,
                libxi-dev,
                libxinerama-dev,
-               libxkbcommon-dev (>= 0.2.0),
+               libxkbcommon-dev,
                libxkbfile-dev,
                libxml2-utils,
-               libxrandr-dev (>= 2:1.5.0),
+               libxrandr-dev,
                locales <!nocheck> | locales-all <!nocheck>,
                meson (>= 0.60),
                pkg-config,
@@ -95,8 +95,8 @@
 Recommends: libgtk-4-bin,
             iso-codes,
             librsvg2-common (>= 2.52.0),
-Suggests: gvfs,
-          libgtk-4-media-gstreamer | libgtk-4-media-ffmpeg,
+            libgtk-4-media-gstreamer,
+Suggests: gvfs
 Breaks: libgtk-4-0 (<< 4.0.0),
 Replaces: libgtk-4-0 (<< 4.0.0),
 Pre-Depends: ${misc:Pre-Depends}
@@ -171,7 +171,7 @@
          libepoxy-dev (>= 1.0),
          libfontconfig-dev,
          libgdk-pixbuf-2.0-dev (>= 2.30.0),
-         libglib2.0-dev (>= 2.66.0),
+         libglib2.0-dev (>= 2.72.0),
          libgraphene-1.0-dev (>= 1.9.1),
          libpango1.0-dev (>= 1.50.0),
          libwayland-dev (>= 1.16.91) [linux-any],
@@ -298,8 +298,6 @@
          ${misc:Depends},
          ${shlibs:Depends},
          libgtk-4-common
-Breaks: python-gi (<< 3.18),
-        python3-gi (<< 3.18)
 Provides: gir1.2-gdk-4.0 (= ${binary:Version}),
           gir1.2-gdkwayland-4.0 (= ${binary:Version}) [linux-any],
           gir1.2-gdkx11-4.0 (= ${binary:Version}),
@@ -311,3 +309,13 @@
  suites.
  .
  This package can be used by other packages using the GIRepository format to
+ generate dynamic bindings.
+
+#Package: gtk-update-icon-cache
+#Section: misc
+#Architecture: any
+#Multi-Arch: foreign
+#Depends: ${misc:Depends},
+#         ${shlibs:Depends}
+#Breaks: libgtk2.0-bin (<< 2.24.30-2),
+#        libgtk-3-bin (<< 3.20.6-1)

=== debian/rules ===
--- 
+++ 
@@ -143,7 +143,6 @@
 	-Ddemos=false \
 	-Dbuild-tests=false \
 	-Dinstall-tests=false \
-	-Dmedia-gstreamer=disabled \
 	-Dwayland-backend=false \
 	-Dx11-backend=true \
 	$(NULL)
@@ -152,9 +151,6 @@
 	dh $@ --with gir --buildsystem=meson $(dh_options)
 
 override_dh_clean: debian/control
-	# cleanup python crap
-	rm -rf subprojects/gi-docgen/gidocgen/gir/__pycache__
-	rm -rf subprojects/gi-docgen/gidocgen/__pycache__
 	# gross kludge to force control generation with the %.in target
 	touch debian/control.in
 	rm -f $(call dh_subst_files,$(all_binaries))
@@ -275,3 +271,8 @@
 		BACKENDS="$(test_backends)" \
 	debian/run-tests.sh -t $(test_timeout_multiplier) \
 		$(addprefix --no-suite=,$(skipped_suites)) \
+		$(NULL)
+
+override_dh_auto_install:
+	dh_auto_install --builddirectory=debian/build/deb --destdir=debian/install/deb
+ifneq ($(filter %-udeb,$(built_binaries)),)

## gtk4 4.10.4+ds

=== debian/changelog ===
gtk4 (4.10.4+ds-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2023031)
    - Fix Nautilus showing wrong content when files are deleted or rearranged
      (LP:  #2022851)
  * Drop cherry-picked patch for Mutter 44.1: applied in new release
  * Add patch to revert an unnecessary buildsystem change that affected our
    installed-tests patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 06 Jun 2023 08:40:17 -0400

gtk4 (4.10.3+ds-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #2020708)
  * Cherry-pick patch to fix black rectangles seen with mutter 44.1
    (LP: #2020674)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 May 2023 16:41:45 -0400
